org.apache.catalina.authenticator.jaspic

## Class SimpleServerAuthContext

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.SimpleServerAuthContext

- All Implemented Interfaces:
    ServerAuthContext, ServerAuth

      public class SimpleServerAuthContext
      extends Object
      implements ServerAuthContext

  Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module. This implementation supports multiple modules and will treat the user as authenticated if any one module is able to authenticate the user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleServerAuthContext(List<ServerAuthModule> modules)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanSubject(MessageInfo messageInfo, Subject subject)`
    `AuthStatus` | `secureResponse(MessageInfo messageInfo, Subject serviceSubject)`
    `AuthStatus` | `validateRequest(MessageInfo messageInfo, Subject clientSubject, Subject serviceSubject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleServerAuthContext

          public SimpleServerAuthContext(List<ServerAuthModule> modules)

  - ### Method Detail

    - #### validateRequest

          public AuthStatus validateRequest(MessageInfo messageInfo,
                                   Subject clientSubject,
                                   Subject serviceSubject)
                                     throws AuthException

      Specified by:
        `validateRequest` in interface `ServerAuth`
      Throws:
        `AuthException`

    - #### secureResponse

          public AuthStatus secureResponse(MessageInfo messageInfo,
                                  Subject serviceSubject)
                                    throws AuthException

      Specified by:
        `secureResponse` in interface `ServerAuth`
      Throws:
        `AuthException`

    - #### cleanSubject

          public void cleanSubject(MessageInfo messageInfo,
                          Subject subject)
                            throws AuthException

      Specified by:
        `cleanSubject` in interface `ServerAuth`
      Throws:
        `AuthException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.